This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 523971 - xm save hangs with kernel-2.6.31-14.fc12 running as a PV guest under RHEL-5.4
xm save hangs with kernel-2.6.31-14.fc12 running as a PV guest under RHEL-5.4
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-09-17 08:54 EDT by Jiri Denemark
Modified: 2011-06-27 10:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Denemark 2009-09-17 08:54:45 EDT
Description of problem:

An attempt to save a Fedora rawhide PV guest under RHEL-5.4 hangs after issuing suspend request to the guest. With other guests, everything works as expected.

Version-Release number of selected component (if applicable):

kernel-2.6.31-14

How reproducible:

100%

Steps to Reproduce:
1. Create and start a PV guest (64b, 1500MB memory, 4 CPUs, 4GB disk)
2. xm save GUEST /some/where
  
Actual results:

The guest hangs and the save process is stuck waiting on it to suspend.


Expected results:

Working save functionality.

Additional info:

After some investigation, I found out that a suspend request is stored by xend to xenstore database and then xend waits until the guests shuts down, which never happens. As this works for other guests, it's obvious that dom0 kernel forwards the suspend request from xenstore to the guest kernel correctly but apparently doesn't get any response.
Comment 1 Mark McLoughlin 2009-09-17 09:23:56 EDT
jdenemar: is this the same as bug #523937?

Probably makes sense to close bug #523937 as a dup of this one, if so
Comment 2 Jiri Denemark 2009-09-17 09:31:56 EDT
Not really. Despite what is written in the bug description, bug 523937 was tested with an older kernel (2.6.31-0*rc9) and that kernel was able to be saved and even restored. But just once. Another attempt to save that guest failed as described in the bug report.
Comment 3 Bug Zapper 2010-03-15 08:50:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-02 13:44:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 10:23:36 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.